Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: ModPerl: ModPerl

Replacement for Apache::TaintRequest

 

 

ModPerl modperl RSS feed   Index | Next | Previous | View Threaded


johnson at pharmacy

Apr 5, 2012, 2:05 PM

Post #1 of 2 (533 views)
Permalink
Replacement for Apache::TaintRequest

Based on this <http://www.perl.com/pub/2002/02/20/css.html> I was trying to install Apache::TaintRequest so as to sanitize requests, but when I tried to install via CPAN I go the following error:

" CPAN.pm: Going to build G/GO/GOZER/mod_perl-1.31.tar.gz

************* WARNING *************

Your Perl is configured to link against libgdbm,
but libgdbm.so was not found.
You could just symlink it to /usr/lib64/libgdbm.so.2.0.0


************* WARNING *************
Enter `q' to stop search
Please tell me where I can find your apache src
[../apache_x.x/src] /root/httpd-2.2.15
Configure mod_perl with /root/httpd-2.2.15 ? [y]
************* WARNING *************

Apache Version 1.3.0 required, aborting..."

This is the latest version from CPAN....is there a more modern replacement for this?

--
Bruce Johnson
University of Arizona
College of Pharmacy
Information Technology Group

Institutions do not have opinions, merely customs


fred at redhotpenguin

Apr 6, 2012, 5:04 PM

Post #2 of 2 (491 views)
Permalink
Re: Replacement for Apache::TaintRequest [In reply to]

It looks like you're trying to install Apache::TaintRequest against
mod_perl 2.2 (httpd 2.2.15).

Since you're using mod_perl2, you'll need Apache2::TaintRequest. I
just pushed 0.01 to CPAN, so it should be coming to a mirror near you
in the next 24-72 hours.

Warning - that code only passes compilation test and replaces
Apache::Util::escape_html with HTML::Entities::encode_entities. It
was written when I had half an hour to spare today with Paris Roubaix
2011 and a nice Alaskan IPA, so some assembly may be required. Feel
free to file bugs against RT, but it also might 'just work'.

On Thu, Apr 5, 2012 at 2:05 PM, Bruce Johnson
<johnson [at] pharmacy> wrote:
> Based on this <http://www.perl.com/pub/2002/02/20/css.html> I was trying to install Apache::TaintRequest so as to sanitize requests, but when I tried to install via CPAN I go the following error:
>
> " CPAN.pm: Going to build G/GO/GOZER/mod_perl-1.31.tar.gz
>
> ************* WARNING *************
>
>  Your Perl is configured to link against libgdbm,
>  but libgdbm.so was not found.
>  You could just symlink it to /usr/lib64/libgdbm.so.2.0.0
>
>
> ************* WARNING *************
> Enter `q' to stop search
> Please tell me where I can find your apache src
>  [../apache_x.x/src] /root/httpd-2.2.15
> Configure mod_perl with /root/httpd-2.2.15 ? [y]
> ************* WARNING *************
>
>  Apache Version 1.3.0 required, aborting..."
>
> This is the latest version from CPAN....is there a more modern replacement for this?
>
> --
> Bruce Johnson
> University of Arizona
> College of Pharmacy
> Information Technology Group
>
> Institutions do not have opinions, merely customs
>
>

ModPerl modperl RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.